wtfCtrls.directive('orientable', function () {       
    return {
        link: function(scope, element, attrs) {               
            element.bind("load" , function(event){ 

                var e = element[0];
                var w = e.naturalWidth;
                var h = e.naturalHeight;

                if (h == w) {
                	element.addClass("load");
                	return;
                }

                if(h > w){
                    element.removeClass("horizontal").addClass("vertical").addClass("load");
                } else {
                	element.removeClass("vertical").addClass("horizontal").addClass("load");
                }
            });
        }
    }
});
