wtf.factory('DatabaseInit', function($q, DatabaseInstall) { // $timeout
  		var f = {};
  		f.initialized = false;
  		f.db = undefined;

		function errorCB(err) {
			// console.log("Error processing SQL: "+err.code);
			// console.log(err);

			f.deferred.reject(err);
		}

		f.run = function() {
			f.deferred = $q.defer();
			if (f.initialized) {
				f.deferred.resolve(f.db);
				return f.deferred.promise;
			}

  			f.db = window.openDatabase("WhatTheFlightInflight", "1.0", "WhatTheFlightInflight", 52428800);
			f.db.transaction(populateDB, errorCB);

			return f.deferred.promise;
  		}

	  	function populateDB(tx) {
	  		//tx.executeSql('DROP TABLE IF EXISTS preference');
	  		tx.executeSql('CREATE TABLE preference (`key` TEXT UNIQUE, `value` TEXT)', [], createTableSuccess, createTableFailed);
	  	}
 
	  	function createTableSuccess(tx) {
	  		// trace('createTableSuccess')
	  		DatabaseInstall.run(f.db).then(function() {
	  			successCB();
	  		});
	  	}

	  	function createTableFailed() {
	  		successCB();
	  	}

		function successCB() {
			f.initialized = true;
			f.deferred.resolve(f.db);
		}
		return f;
	});	