wtf.factory('DatabaseCreateAirlineReview', function(Preferences, $q) {
  		var f = {};
  		
		function errorCB(err) {
			// console.log("Error processing SQL: "+err.code);
			// console.log(err);

			f.deferred.reject(err);
		}

		function queryDB(tx) {
			var values = [];
			var keys = [];
			var imp = [];
			for (var key in f.createFields) {
				var value = f.createFields[key];
				if (typeof value === 'object') continue;

				keys.push(key);
				values.push(value);
				imp.push('?');
			}

			var sql = '	INSERT INTO airline_review ('+keys.join(',')+') VALUES ('+imp.join(',')+')';
		    tx.executeSql(sql, values, querySuccess, errorCB);
		}

		function querySuccess(tx, results) {
			f.createFields.id = results.insertId;

			f.deferred.resolve(f.createFields);
		}

		f.run = function(createFields) {
			f.deferred = $q.defer();
			f.createFields = createFields;

			Preferences.db().transaction(queryDB, errorCB);
			
			return f.deferred.promise;
		}
		return f;
	});	