wtf.factory('DatabaseDeleteAirlineReview', function(Preferences, $q) {
  		var f = {};
  		
		function errorCB(err) {
			// console.log("Error processing SQL: "+err.code);
			// console.log(err);

			f.deferred.reject(err);
		}

		function queryDB(tx) {
			var sql = '	DELETE FROM airline_review WHERE id = '+f.item.id;
		    tx.executeSql(sql, [], querySuccess, errorCB);
		}

		function querySuccess(tx, results) {
			var sql = ' DELETE FROM review_picture WHERE related_table = "airline_review" AND related_id = '+f.item.id;
			tx.executeSql(sql, [], querySuccessPictures, errorCB);
		}

		function querySuccessPictures(tx, results) {
			f.deferred.resolve();
		}

		f.run = function(item) {
			f.deferred = $q.defer();
			f.item = item;

			Preferences.db().transaction(queryDB, errorCB);

			return f.deferred.promise;
		}
		return f;
	});	