wtf.factory('DatabaseGetCreationAirlineReview', function(DatabaseGetAirlineReviews, DatabaseCreateAirlineReview, $q) {
  		var f = {};


		f.run = function() {
			f.deferred = $q.defer();
			DatabaseGetAirlineReviews.run({where: 'airline_review.status = -1'}).then(function(items) {

				if (items.length > 0) {
					f.deferred.resolve(items[0]);
				} else {
					var airlineReview = {};
					airlineReview.status = -1;
					// airlineReview.classe = 'e';
					DatabaseCreateAirlineReview.run(airlineReview).then(function(item) {
						item.airline = {};
						item.departureAirport = {};
						item.arrivalAirport = {};
						item.validation = {};
						item.picture = {};

						f.deferred.resolve(item);
					});
				}
			});

			return f.deferred.promise;
		}
		return f;
	});	