wtf.factory('DatabaseGetRawAirlineReview', function(Preferences, $q) {
  		var f = {};
  		
		function errorCB(err) {
			// console.log("Error processing SQL: "+err.code);
			// console.log(err);

			f.deferred.reject(err);
		}

		function queryDB(tx) {
			var sql = 	'	SELECT '+
	    				'		airline_review.*, '+
	    				'		datetime(airline_review.creation_date, \'localtime\') AS creation_date' +
	    				'	FROM airline_review airline_review '+			
	    				'	WHERE airline_review.id = '+f.id;
			
		    tx.executeSql(sql, [], querySuccess, errorCB);
		}

		function querySuccess(tx, results) {
			var rows = results.rows;
			var item = rows.item(0);

			var clone = angular.copy(item);

			f.deferred.resolve(clone);
		}

		f.run = function(id) {
			f.deferred = $q.defer();
			f.id = id;

			Preferences.db().transaction(queryDB, errorCB);

			return f.deferred.promise;
		}
		return f;
	});	