wtf.factory('PublishPendingAirlineReviews', function(Preferences, DatabaseGetAirlineReviews, PublishAirlineReview, $q, $timeout) {
  		var f = {};
      f.isChecking = false;

      function getPending() {
          DatabaseGetAirlineReviews.run({where: 'airline_review.status IN (2, 1, 4)'}).then(function(items) {
            f.numItems = items.length;
            f.itemIndex = 0;
            f.toPublish = items;
            publishNext();
          });
      }

      function publishNext() {
        var pList = f.toPublish.splice(0, 1);
        var p = pList[0];

        if (!p) {
          f.deferred.resolve(f.itemIndex);
          return;
        } 

        f.itemIndex++;  

        PublishAirlineReview.run(p).then(function() {
          publishNext();
        }, function() {
          f.deferred.reject(f.itemIndex);
        }, function(message) {
          $timeout(function() {
            f.deferred.notify(message);
          },100);
        });
      }

  		f.run = function() {       
  			f.deferred = $q.defer();
        getPending();  
  			return f.deferred.promise;
  		}
		return f;
	});	