wtf.factory('DatabaseUpdateReviewPicture', function(Preferences, $q) {
  		var f = {};
  		
		function errorCB(err) {
			// console.log("Error processing SQL: "+err.code);
			// console.log(err);

			f.deferred.reject(err);
		}

		function queryDB(tx) {
			var values = [];
			var sets = [];
			for (var key in f.updateFields) {
				var value = f.updateFields[key];
				if (typeof value === 'object') continue;

				sets.push(key+' = ?');
				values.push(value);
			}

			var sql = 	'	UPDATE review_picture  '+
	    				'	SET '+ sets.join(',') +			
	    				'	WHERE review_picture.id = '+f.id;		
		    tx.executeSql(sql, values, querySuccess, errorCB);
		}

		function querySuccess(tx, results) {

			f.deferred.resolve();
		}

		f.run = function(id, updateFields) {
			f.deferred = $q.defer();
			f.id = id;
			f.updateFields = updateFields;
			f.updateFields.update_date = new Date().toMysqlFormat();
			
			Preferences.db().transaction(queryDB, errorCB);

			return f.deferred.promise;
		}
		return f;
	});	