wtfCtrls.controller('AppCtrl', function($scope, $rootScope, $location, $window, $timeout, $ionicLoading, $ionicPopup, Preferences, ServiceUserLogout, DatabaseSetPreference, PublishPendingAirlineReviews) {

	// trace(navigator.splashscreen);
	// navigator.splashscreen.show();

	var waitTime = 0;
	var isPublishing = false;

	function publish() {
		if (!Preferences.hasInternetConnection()) return;
		if (!checkIsLogin()) return;

		if (isPublishing) return;
		isPublishing = true;

		PublishPendingAirlineReviews.run().then(function(index) {
			isPublishing = false;
			$ionicLoading.hide();
			$rootScope.$emit('refreshList');
		}, function(index) {
			isPublishing = false;
			$ionicLoading.hide();
			$rootScope.$emit('refreshList');
		}, function(message) {
			$ionicLoading.show({
		      template: '<span class="icon ion-loading-c"></span> '+message
		    });
		});
	}

	$scope.emailDo = function() {
		if (Preferences.isUserConnected()) {
			$ionicPopup.confirm({
	       		title: Preferences.translate('CONFIRM_LOGOUT_TITLE'),
	       		template: Preferences.translate('CONFIRM_LOGOUT_DESCRIPTION'),
	       		cancelText: Preferences.translate('CANCEL'),
	       		okText: Preferences.translate('OK')
	     	}).then(function(res) {
		       	if(!res) return;
				
				ServiceUserLogout.run().then(function() {
					onLogin();
				});
		    });
		} else {
			if (Preferences.hasInternetConnection()) {
				$location.path('/app/login');
			}
		}
	}

	$rootScope.$on('uploadAll', publish);

	function onOnline() {
		if (!Preferences.isUserConnected()) {
			$location.path('/app/login');	
		} 
	}

	function checkIsLogin() {
		if (Preferences.hasInternetConnection() && !Preferences.isUserConnected()) {
			$location.path('/app/login');
			return false;	
		} 
		return true;
	}

	document.addEventListener("online", onOnline , false);

	$timeout(function() {
		navigator.splashscreen.hide();
	}, 3000);
	

	$scope.view = {};
	$rootScope.$on('login', onLogin);

	function onLogin() {
		var email = Preferences.get('email');
		if (!Preferences.isUserConnected()) {
			email = Preferences.translate('SIGN_IN');
		}
		$scope.view.email = email;
	}

	onLogin();
	checkIsLogin();
});