if (!navigator.splashscreen) {
  navigator.splashscreen = {};
  navigator.splashscreen.hide = function() {}
}

if (!window.plugin) {
  window.plugin = {};
}

if (!window.plugin.notification) {
  window.plugin.notification = {};
}

if (!window.plugin.notification.local) {
  window.plugin.notification.local = {};
  window.plugin.notification.local.cancel = function() {};
  window.plugin.notification.local.add = function() {};
}

function trace(e) {
  console.log(e);
}

Date.prototype.toMysqlFormat = function() {
    return this.toISOString().slice(0, 19).replace('T', ' ');
};

Date.prototype.toDisplay = function() {
    var d = new Date();
    var displayHours = this.getHours() > 0 && this.getMinutes() > 0 && this.getTime() - d.getTime() < 24 * 60 * 60 * 1000;

    if (displayHours) {
      var h = this.getHours();
      if (h < 10) {
        h = '0'+h;
      }
      var m = this.getMinutes();
      if (m < 10) {
         m = '0'+m;
      }
      return h + ':' + m;
    } else {
      var y = this.getFullYear();
      if (y == d.getFullYear()) {
        y = '';
      }

      var m = formatMonth(this.getMonth() + 1);
      return this.getDate() + ' ' + m + ' '+y;
    }
}

function formatMonth(t) {
  switch (t - 1) {
      case 0: m = 'Jan'; break;
      case 1: m = 'Fév'; break;
      case 2: m = 'Mar'; break;
      case 3: m = 'Avr'; break;
      case 4: m = 'Mai'; break;
      case 5: m = 'Jui'; break;
      case 6: m = 'Jui'; break;
      case 7: m = 'Aou'; break;
      case 8: m = 'Sep'; break;
      case 9: m = 'Oct'; break;
      case 10: m = 'Nov'; break;
      case 11: m = 'Dec'; break;

    }
    return m
}

function mysqlDateToJS(isoFormatDateString) {
    if (!isoFormatDateString) return new Date();
    var dateParts = isoFormatDateString.split("-");
    if (dateParts.length != 3) return new Date();
    return new Date(dateParts[0], dateParts[1] - 1, dateParts[2].substr(0, 2), dateParts[2].substr(3, 2), dateParts[2].substr(6, 2), dateParts[2].substr(9, 2));
}